package org.apache.bcel.util;

package .tmp;

import java.util.HashMap;
import java.util.Map;
import org.apache.bcel.classfile.JavaClass;
import org.apache.commons.lang3.ArrayUtils;

public class ClassSet {
  private final Map<String, JavaClass> map = new HashMap<>();
  
  public boolean add(JavaClass clazz) {
    return (this.map.putIfAbsent(clazz.getClassName(), clazz) != null);
  }
  
  public boolean empty() {
    return this.map.isEmpty();
  }
  
  public String[] getClassNames() {
    return (String[])this.map.keySet().toArray((Object[])ArrayUtils.EMPTY_STRING_ARRAY);
  }
  
  public void remove(JavaClass clazz) {
    this.map.remove(clazz.getClassName());
  }
  
  public JavaClass[] toArray() {
    return (JavaClass[])this.map.values().toArray((Object[])JavaClass.EMPTY_ARRAY);
  }
}
